#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Output
Summary:	Test::Output - Utilities to test STDOUT and STDERR messages
Summary(pl.UTF-8):	Test::Output - narzędzia do terowania komunikatów STDOUT i STDERR
Name:		perl-Test-Output
Version:	1.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	903485edb382f5a18a5029978d1febf6
URL:		http://search.cpan.org/dist/Test-Output/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Capture-Tiny >= 0.17
BuildRequires:	perl-File-Temp >= 0.21
BuildRequires:	perl-Sub-Exporter
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-Tester >= 0.107
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Output provides a simple interface for testing output sent to
STDOUT or STDERR. A number of different utilies are included to try
and be as flexible as possible to the tester.

%description -l pl.UTF-8
Test::Output udostępnia prosty interfejs do testowania komunikatów
wysyłanych na STDOUT lub STDERR. Załączonych jest wiele różnych
narzędzi do wypróbowania, mających być jak najbardziej elastycznymi
dla testera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/Output.pm
%{_mandir}/man3/Test::Output.3pm*
%changelog
* Thu Mar 08 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Test-Output.git;a=log;h=master

* Fri Nov 25 2016 Jakub Bogusz <qboosh@pld-linux.org> d878139
- updated to 1.03

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 18a1e05
- updated to 1.01

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> 132d2e6
- updated to 0.16

* Sat Jun 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 164b332
- really added URL

* Sat Jun 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 5d4a3a0
- pl
- generic URL

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 5c31f2d
- initial, ver 0.10, rel 1, builds here

